%define distversion %( perl -e '$_=\<\>;/(\\d+)\\.(\\d)\\.?(\\d)?/; print "$1$2".($3||0)' /etc/*-release)
%define smptag %(uname -a|awk '{print $5}')

Summary:   Eggdrop - IRC Bot
Name:      eggdrop
Version:   1.6.21
Release:   1.1
License:   GPL
Vendor:    Eggheads Development Team
Url:       http://www.eggheads.org/
Group:     TCL
Source0:   %{name}%{version}.tar.bz2
Source1:   %{name}-rpmlintrc
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: openssl-devel zlib-devel tcl-devel glibc-devel libgcc gcc gcc-c++
Requires: tcl tclx zlib openssl

%description
Eggdrop is the world's most popular Open Source IRC bot, 
designed for flexibility and ease of use, 
and is freely distributable under the GNU General Public License (GPL). 


%prep
%setup -q -n %{name}%{version}

%build
%configure
%{__make} config


if [ %{smptag} = SMP ]; then
        %{__make} -j2
else
        %{__make}
fi

%install
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
%{__make} DEST=$RPM_BUILD_ROOT%{_datadir}/%{name} install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/doc
%dir %{_datadir}/%{name}/doc/html
%dir %{_datadir}/%{name}/doc/man1
%dir %{_datadir}/%{name}/doc/settings
%doc %{_datadir}/%{name}/README
%doc %{_datadir}/%{name}/doc/ABOUT
##%doc %{_datadir}/%{name}/doc/AUTHORS
%doc %{_datadir}/%{name}/doc/BANS
%doc %{_datadir}/%{name}/doc/BOTNET
%doc %{_datadir}/%{name}/doc/BUG-REPORT
%doc %{_datadir}/%{name}/doc/Changes1.6
%doc %{_datadir}/%{name}/doc/COMPILE-GUIDE
%doc %{_datadir}/%{name}/doc/CONTENTS
%doc %{_datadir}/%{name}/doc/FIRST-SCRIPT
%doc %{_datadir}/%{name}/doc/KNOWN-PROBLEMS
%doc %{_datadir}/%{name}/doc/MODULES
%doc %{_datadir}/%{name}/doc/PARTYLINE
%doc %{_datadir}/%{name}/doc/PATCH-HOWTO
%doc %{_datadir}/%{name}/doc/TEXT-SUBSTITUTIONS
%doc %{_datadir}/%{name}/doc/TRICKS
##%doc %{_datadir}/%{name}/doc/UPDATES1.6
%doc %{_datadir}/%{name}/doc/USERS
%doc %{_datadir}/%{name}/doc/Versions
%doc %{_datadir}/%{name}/doc/WEIRD-MESSAGES
%doc %{_datadir}/%{name}/doc/html/about.html
%doc %{_datadir}/%{name}/doc/html/app-problems.html
%doc %{_datadir}/%{name}/doc/html/app-textsub.html
%doc %{_datadir}/%{name}/doc/html/app-tricks.html
%doc %{_datadir}/%{name}/doc/html/app-weird.html
##%doc %{_datadir}/%{name}/doc/html/authors.html
%doc %{_datadir}/%{name}/doc/html/bans.html
%doc %{_datadir}/%{name}/doc/html/botnet.html
%doc %{_datadir}/%{name}/doc/html/compiling.html
%doc %{_datadir}/%{name}/doc/html/egg-core.html
%doc %{_datadir}/%{name}/doc/html/faqs.html
%doc %{_datadir}/%{name}/doc/html/features.html
%doc %{_datadir}/%{name}/doc/html/index.html
%doc %{_datadir}/%{name}/doc/html/install.html
%doc %{_datadir}/%{name}/doc/html/mod-assoc.html
%doc %{_datadir}/%{name}/doc/html/mod-blowfish.html
%doc %{_datadir}/%{name}/doc/html/mod-channels.html
%doc %{_datadir}/%{name}/doc/html/mod-compress.html
%doc %{_datadir}/%{name}/doc/html/mod-console.html
%doc %{_datadir}/%{name}/doc/html/mod-ctcp.html
%doc %{_datadir}/%{name}/doc/html/mod-dns.html
%doc %{_datadir}/%{name}/doc/html/mod-filesys.html
%doc %{_datadir}/%{name}/doc/html/mod-irc.html
%doc %{_datadir}/%{name}/doc/html/mod-notes.html
%doc %{_datadir}/%{name}/doc/html/mod-seen.html
%doc %{_datadir}/%{name}/doc/html/mod-server.html
%doc %{_datadir}/%{name}/doc/html/mod-share.html
%doc %{_datadir}/%{name}/doc/html/mod-transfer.html
%doc %{_datadir}/%{name}/doc/html/mod-uptime.html
%doc %{_datadir}/%{name}/doc/html/mod-wire.html
%doc %{_datadir}/%{name}/doc/html/mod-woobie.html
%doc %{_datadir}/%{name}/doc/html/news.html
%doc %{_datadir}/%{name}/doc/html/party.html
%doc %{_datadir}/%{name}/doc/html/patch-howto.html
%doc %{_datadir}/%{name}/doc/html/readme.html
%doc %{_datadir}/%{name}/doc/html/starting.html
%doc %{_datadir}/%{name}/doc/html/tcl-commands.html
%doc %{_datadir}/%{name}/doc/html/users.html
%doc %{_datadir}/%{name}/doc/man1/eggdrop.1
%doc %{_datadir}/%{name}/doc/settings/CONTENTS
%doc %{_datadir}/%{name}/doc/settings/core.settings
%doc %{_datadir}/%{name}/doc/settings/mod.assoc
%doc %{_datadir}/%{name}/doc/settings/mod.blowfish
%doc %{_datadir}/%{name}/doc/settings/mod.channels
%doc %{_datadir}/%{name}/doc/settings/mod.compress
%doc %{_datadir}/%{name}/doc/settings/mod.console
%doc %{_datadir}/%{name}/doc/settings/mod.ctcp
%doc %{_datadir}/%{name}/doc/settings/mod.dns
%doc %{_datadir}/%{name}/doc/settings/mod.filesys
%doc %{_datadir}/%{name}/doc/settings/mod.irc
%doc %{_datadir}/%{name}/doc/settings/mod.notes
%doc %{_datadir}/%{name}/doc/settings/mod.seen
%doc %{_datadir}/%{name}/doc/settings/mod.server
%doc %{_datadir}/%{name}/doc/settings/mod.share
%doc %{_datadir}/%{name}/doc/settings/mod.transfer
%doc %{_datadir}/%{name}/doc/settings/mod.uptime
%doc %{_datadir}/%{name}/doc/settings/mod.wire
%doc %{_datadir}/%{name}/doc/settings/mod.woobie
%doc %{_datadir}/%{name}/doc/tcl-commands.doc
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/eggdrop
%{_datadir}/%{name}/eggdrop-%{version}
%{_datadir}/%{name}/eggdrop.conf
%dir %{_datadir}/%{name}/help
%{_datadir}/%{name}/help/assoc.help
%{_datadir}/%{name}/help/chaninfo.help
%{_datadir}/%{name}/help/channels.help
%{_datadir}/%{name}/help/cmd_resolve.help
%{_datadir}/%{name}/help/cmds1.help
%{_datadir}/%{name}/help/cmds2.help
%{_datadir}/%{name}/help/compress.help
%{_datadir}/%{name}/help/console.help
%{_datadir}/%{name}/help/core.help
%{_datadir}/%{name}/help/ctcp.help
%{_datadir}/%{name}/help/filesys.help
%{_datadir}/%{name}/help/irc.help
%dir %{_datadir}/%{name}/help/msg
%{_datadir}/%{name}/help/msg/irc.help
%{_datadir}/%{name}/help/msg/notes.help
%{_datadir}/%{name}/help/msg/seen.help
%{_datadir}/%{name}/help/msg/userinfo.help
%{_datadir}/%{name}/help/notes.help
%{_datadir}/%{name}/help/seen.help
%{_datadir}/%{name}/help/server.help
%dir %{_datadir}/%{name}/help/set
%{_datadir}/%{name}/help/set/channels.help
%{_datadir}/%{name}/help/set/cmds1.help
%{_datadir}/%{name}/help/set/compress.help
%{_datadir}/%{name}/help/set/console.help
%{_datadir}/%{name}/help/set/ctcp.help
%{_datadir}/%{name}/help/set/filesys.help
%{_datadir}/%{name}/help/set/irc.help
%{_datadir}/%{name}/help/set/notes.help
%{_datadir}/%{name}/help/set/server.help
%{_datadir}/%{name}/help/set/share.help
%{_datadir}/%{name}/help/set/transfer.help
%{_datadir}/%{name}/help/share.help
%{_datadir}/%{name}/help/transfer.help
%{_datadir}/%{name}/help/uptime.help
%{_datadir}/%{name}/help/userinfo.help
%{_datadir}/%{name}/help/wire.help
%dir %{_datadir}/%{name}/language
%{_datadir}/%{name}/language/assoc.danish.lang
%{_datadir}/%{name}/language/assoc.english.lang
%{_datadir}/%{name}/language/assoc.finnish.lang
%{_datadir}/%{name}/language/assoc.french.lang
%{_datadir}/%{name}/language/assoc.german.lang
%{_datadir}/%{name}/language/console.danish.lang
%{_datadir}/%{name}/language/console.english.lang
%{_datadir}/%{name}/language/console.finnish.lang
%{_datadir}/%{name}/language/console.french.lang
%{_datadir}/%{name}/language/console.german.lang
%{_datadir}/%{name}/language/core.danish.lang
%{_datadir}/%{name}/language/core.english.lang
%{_datadir}/%{name}/language/core.finnish.lang
%{_datadir}/%{name}/language/core.french.lang
%{_datadir}/%{name}/language/core.german.lang
%{_datadir}/%{name}/language/filesys.danish.lang
%{_datadir}/%{name}/language/filesys.english.lang
%{_datadir}/%{name}/language/filesys.finnish.lang
%{_datadir}/%{name}/language/filesys.french.lang
%{_datadir}/%{name}/language/filesys.german.lang
%{_datadir}/%{name}/language/notes.danish.lang
%{_datadir}/%{name}/language/notes.english.lang
%{_datadir}/%{name}/language/notes.finnish.lang
%{_datadir}/%{name}/language/notes.french.lang
%{_datadir}/%{name}/language/notes.german.lang
%{_datadir}/%{name}/language/transfer.danish.lang
%{_datadir}/%{name}/language/transfer.english.lang
%{_datadir}/%{name}/language/transfer.finnish.lang
%{_datadir}/%{name}/language/transfer.french.lang
%{_datadir}/%{name}/language/transfer.german.lang
%{_datadir}/%{name}/language/wire.danish.lang
%{_datadir}/%{name}/language/wire.english.lang
%{_datadir}/%{name}/language/wire.finnish.lang
%{_datadir}/%{name}/language/wire.french.lang
%{_datadir}/%{name}/language/wire.german.lang
%dir %{_datadir}/%{name}/logs
%{_datadir}/%{name}/logs/CONTENTS
%{_datadir}/%{name}/modules
%dir %{_datadir}/%{name}/modules-%{version}
%{_datadir}/%{name}/modules-%{version}/assoc.so
%{_datadir}/%{name}/modules-%{version}/blowfish.so
%{_datadir}/%{name}/modules-%{version}/channels.so
%{_datadir}/%{name}/modules-%{version}/compress.so
%{_datadir}/%{name}/modules-%{version}/console.so
%{_datadir}/%{name}/modules-%{version}/ctcp.so
%{_datadir}/%{name}/modules-%{version}/dns.so
%{_datadir}/%{name}/modules-%{version}/filesys.so
%{_datadir}/%{name}/modules-%{version}/irc.so
%{_datadir}/%{name}/modules-%{version}/notes.so
%{_datadir}/%{name}/modules-%{version}/seen.so
%{_datadir}/%{name}/modules-%{version}/server.so
%{_datadir}/%{name}/modules-%{version}/share.so
%{_datadir}/%{name}/modules-%{version}/transfer.so
%{_datadir}/%{name}/modules-%{version}/uptime.so
%{_datadir}/%{name}/modules-%{version}/wire.so
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/scripts/CONTENTS
%{_datadir}/%{name}/scripts/action.fix.tcl
%{_datadir}/%{name}/scripts/alltools.tcl
%{_datadir}/%{name}/scripts/autobotchk
%{_datadir}/%{name}/scripts/botchk
%{_datadir}/%{name}/scripts/cmd_resolve.tcl
%{_datadir}/%{name}/scripts/compat.tcl
%{_datadir}/%{name}/scripts/dccwhois.tcl
%{_datadir}/%{name}/scripts/getops.tcl
%{_datadir}/%{name}/scripts/klined.tcl
%{_datadir}/%{name}/scripts/notes2.tcl
%{_datadir}/%{name}/scripts/ques5.tcl
%{_datadir}/%{name}/scripts/quotepass.tcl
%{_datadir}/%{name}/scripts/quotepong.tcl
%{_datadir}/%{name}/scripts/sentinel.tcl
%{_datadir}/%{name}/scripts/userinfo.tcl
%{_datadir}/%{name}/scripts/weed
%dir %{_datadir}/%{name}/text
%{_datadir}/%{name}/text/banner
%{_datadir}/%{name}/text/motd

%changelog
* Thu Oct 27 2011 Carsten Schoene <cs@linux-administrator.com> - 1.6.21-1
- update to release 1.6.21

* Mon Aug 09 2010 Carsten Schoene <cs@linux-administrator.com> - 1.6.20-1
- update to release 1.6.20

* Tue May 25 2010 Carsten Schoene <cs@linux-administrator.com> - 1.6.19+ctcpfix-1
- update to release 1.6.19 with ctcpfix

* Sun Apr 20 2008 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 1.6.19
* Thu Dec 21 2006 Carsten Schoene <cs@linux-administrator.com>
- initial build of version 1.6.18

